curl --request GET \
--url https://api.hakumedia.ai/v2/zones/standard/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/zones/standard/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/zones/standard/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/zones/standard/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Zone Name",
"object": "standard_zone",
"self": "/v2/zones/standard/1234",
"id": 1234,
"dimensions": "fixed",
"width": 300,
"height": 250,
"publisher": 5223151,
"popup_frequency": 123,
"refresh_frequency": 123,
"refresh_limit": 123,
"responsive": "auto",
"unique_delivery": false,
"iab_categories": [
"iab2",
"iab7"
],
"allow_demand_sources": true,
"bid_floor": 0,
"min_payout": 0.75,
"serve_priority_order": "weight",
"pmp_deals": [
10075,
10115
],
"private_auction": true,
"optimization_strategy": "global_ecpm",
"burn_in_impressions": 100000,
"burn_in_hours": 24,
"ecpm_testing_allowance": 0.3,
"metadata": {
"btf": "true",
"mobile_only": "false"
},
"rtb_placement_id ": "123",
"api_frameworks ": [
"ormma"
],
"auction_tie_break": "RANDOM",
"allowed_root_native_templates": [
1234,
5678
],
"ad_size_filter": {
"type": "INCLUSIVE",
"sizes": [
{
"width": 300,
"height": 250
}
]
},
"use_share_of_voice": true
}{
"http_status": 404,
"type": "resource_not_found_error",
"message": "Resource not found."
}Get a Single Standard Zone
Retrieve the zone tags for a zone.
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the resource.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
The name of the zone. We recommend using a naming scheme that is descriptive, relevant, and consistent.
"Zone Name"
A string denoting the current resource being requested or affected.
"standard_zone"
The relative URL of the current resource being requested or affected.
"/v2/zones/standard/1234"
The current resource identifier (ID).
1234
The type of dimensions to which the zone should adhere. "fixed" dimensions require a width and height to determine how the ad will be displayed, whereas "dynamic" dimensions leave the width and height to be set by the site serving the ad.
"fixed"
The width of the standard zone (see common ad item dimensions). The height and width of the zone must match the size of the ad items that will be displayed within it. These values must be given if dimensions are "fixed". It must be 0 or not given if dimensions are "dynamic".
300
The height of the standard zone (see common ad item dimensions). The height and width of the zone must match the size of the ad items that will be displayed within it. These values must be given if dimensions are "fixed". It must be 0 or not given if dimensions are "dynamic".
250
The identifier (ID) of the publisher to which the zone belongs.
5223151
The number of impressions after which a popup is displayed. It lets you control how often the popups should be served. For example, setting the value to 1 means a popup will be displayed each time the page is loaded, while setting it to 5 means a popup will be displayed after every five impressions. Defaults to 0, which means never show a popup.
The interval (in seconds) after which a new ad is shown in the zone without requiring a page reload. This allows serving multiple impressions in one viewing session, making the most of your ad space on content heavy pages where the user will be spending a lot of time reading, such as an article or a forum thread. Defaults to 0, which means the zone will not be served new ads without a page reload.
NOTE:
- If Unique Delivery is on, the interval must be equal to the number of ad items in the zone or assigned campaign
- Third party scripts relying on
document.writemay not serve properly when using JavaScript zone tags.
The total number of times the zone will be refreshed with a new ad. Defaults to 0, which means zone will never be refreshed with a new ad.
Whether the size of the ad is fixed ("fixed"), resizeable ("auto"), or subject to the CSS of the page ("inherit"). The "fixed" option makes the ad item match the zone size when it is served. The "auto" option resizes the zone to fit the size of the served ad item. The "inherit" option lets CSS on the page decide the size of the zone.
TIPS:
- Use "auto" if there is a chance that no ad may be served, which may be the case if you are using targeting and quotas. This will allow Haku to collapse the empty zones.
- Do not use "auto" when using asynchronous tags with a raw HTML ad item. Otherwise the ad will not display properly because iframes conflict with responsive pages.
- Do not use "ASync JavaScript" or "IFrame" tags with "auto" and "inherit".
"auto"
Whether unique ads are served on each zone. It requires the use of JavaScript tags. Unique Delivery ensures that each zone will show an ad item from different campaigns, making it ideal for pages where the same zone tag is used multiple times. When set to 'true', the number of campaigns assigned to the zone must be greater than or equal to the number of instances of the zone on the page.
false
A list of IAB Categories that describe the content and purpose of the app or site to which the zone belongs.
NOTE: This feature requires the Programmatic add-on. If you don't have the add-on, you must set this field's value to null or an empty array.
["iab2", "iab7"]
Whether to allow this zone to make requests to Demand Endpoints for bids.
NOTE: This feature requires the Programmatic add-on. If you don't have the add-on, you must set this field's value to false.
true
The default bid floor for this zone when sending bids to programmatic demand partners.
NOTE: This feature requires the Programmatic add-on. If you don't have the add-on, you must set this field's value to 0.
0
The minimum amount that will be paid out to the publisher for an impression in CPM (cost per thousand).
NOTE: This field is for Programmatic (through Demand Endpoints) impressions only.
0.75
The order of priority when choosing a serving method. When set to "weight", ads are chosen in the order of Smooth-Delivery > Weight > Auction. When set to "auction", ads are chosen in the order of Smooth-Delivery > Auction > Weight. Defaults to "weight".
"weight"
An array of PMP Deal IDs that are allowed in this zone.
NOTE: This feature requires the Programmatic add-on. If you don't have the add-on, you must set this field's value to null or an empty array.
[10075, 10115]
Whether the auction will ignore non-deal bids.
NOTE: This feature requires the Programmatic add-on. If you don't have the add-on, you must set this field's value to false.
true
The optimization strategy for the zone.
"global_ecpm"
The number of impressions required for a placement before we are confident in its eCPM.
100000
The number of hours a placement must be live before we are confident in its eCPM.
24
The percentage of non-burn-in impressions that will be given to placements with a less than optimal eCPM. This allows for eCPM recalculations on placements that were originally thought to be low in value.
0.3
An object containing any number of metadata keys and values. Keys and values must be strings.
{ "btf": "true", "mobile_only": "false" }
Required for OpenRTB requests. Sets the tagid field in the request. The tagid is the identifier of a specific ad placement or the ad tag that was used to initiate the auction.
NOTE: The ability to participate in OpenRTB auctions via Haku requires subscribers to have the Programmatic Advertising add-on. If you don't have this add-on, you must set this field's value to null.
"123"
Required for OpenRTB requests. Sets the api field in the banner object. The banner specifies the list of supported API frameworks for this impression.
NOTE: The ability to participate in OpenRTB auctions via Haku requires subscribers to have the Programmatic Advertising add-on. If you don't have this add-on, you must set this field's value to null or an empty array.
["ormma"]
Determines the method for breaking ties in auction mediation.
RANDOM, SCORE "RANDOM"
An array of allowed root native template IDs for this zone. This is used to restrict the native ad templates that can be served in this zone. If not set, all native ad templates are allowed.
[1234, 5678]
Defines the ad size filter for the zone. Only works with dynamic zones. Requires the Zone Ad Size Filtering add-on.
Show child attributes
Show child attributes
Whether the zone should use "share of voice" as its serving strategy. If this is set to false, the zone will use "weight" as its serving strategy.
true